ONVIF::Device::Types::ImagingStatus20(3)

NAME
ONVIF::Device::Types::ImagingStatus20

DESCRIPTION
Perl data type class for the XML Schema defined complexType ImagingStatus20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FocusStatus20

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::ImagingStatus20
   FocusStatus20 =>  { # ONVIF::Device::Types::FocusStatus20
     Position =>  $some_value, # float
     MoveStatus => $some_value, # MoveStatus
     Error =>  $some_value, # string
     Extension =>  { # ONVIF::Device::Types::FocusStatus20Extension
     },
   },
   Extension =>  { # ONVIF::Device::Types::ImagingStatus20Extension
   },
 },

AUTHOR
Generated by SOAP::WSDL